Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 590932 - Backport of 3.2 from rawhide
Backport of 3.2 from rawhide
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: objectweb-asm (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Fernando Nasser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 21:59 EDT by Marcin Rzeźnicki
Modified: 2010-12-03 09:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:50:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Rzeźnicki 2010-05-10 21:59:32 EDT
Description of problem:

While asm has been upgraded to 3.2 as requested in https://bugzilla.redhat.com/show_bug.cgi?id=558306 (thanks!), I believe that this version should be dumped to f12 as well. I understand that aforementioned bug report was reported against "rawhide" and correctly resolved after, but I see no reason while this change should be omitted in f12. Thx
Comment 1 Marcin Rzeźnicki 2010-05-30 18:52:33 EDT
Meanwhile ASM team has released 3.3 Message from Eric Bruneton to asm mailing list:

this is maintenance release (mainly bug fixes and feature requests, only two new classes in asm.commons)

The ASM Team

Change Log:

added new InstructionAdapter class
added TryCatchBlockSorter (provided by Adrian Sampson)
improved extensibility of analysis package (patch from Markus Heiden)

bug fixes:
314969 Counterintuitive interaction of arguments to ClassWriter(cr, flags)
314964 AnalyzerAdapter does not treat <init> calls correctly
314934 ASM Handling of method Synthetic attribute causes exception during retransformation
314878 NPE in AnalyzerAdapter, putfield object comes from different control flow branches
fixed bug with remapping of RET instructions
314563 exception from asm.commons.LocalVariablesSorterremap
fixed bug in GASMifier
fixed bug for F_CHOP frames (locals are ignored for these frames)
314719 method length is sometimes calculated incorrectly
314584 ByteCode Outline Eclipse Plugin -- access flags comment is showing in decimal rather than hex
314481 Bug in Remapper related to annotations
314486 SerialVersionUIDAdder generates an incorrect serialVersionUID under 1.6 VMs for anonymous classes
bug with padding for xxxSwitch instructions
313909 VOID_TYPE.getSize() != 0
312464 ClassReader does not ensure that NEW has a label associated with it

patches (minor code improvements):
314328 minor improvement to serialveruidadder
314329 unnecessary casting, using HashMap v. Map
314330 make sure files get closed

feature requests:
314119 Provide read access to uninitializedTypes in AnalyzerAdapter
313804 Improve analysis results

Javadoc fixes and improvements
Comment 2 Marcin Rzeźnicki 2010-07-18 21:40:59 EDT
Is anyone taking care of this?! It's been almost two months since I reported.
Comment 3 Bug Zapper 2010-11-03 11:08:30 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:50:15 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.